VULKAN_HPP_NAMESPACE::AccelerationStructureNV Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | AccelerationStructureNV ()
VULKAN_HPP_CONSTEXPR | AccelerationStructureNV (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | AccelerationStructureNV (VkAccelerationStructureNV accelerationStructureNV)
AccelerationStructureNV & | operator= (std::nullptr_t)
bool | operator== (AccelerationStructureNV const &rhs) const
bool | operator!= (AccelerationStructureNV const &rhs) const
bool | operator< (AccelerationStructureNV const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkAccelerationStructureNV () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkAccelerationStructureNV | m_accelerationStructureNV

## Detailed Description

Definition at line 4623 of file vulkan.hpp.

## Constructor & Destructor Documentation

## AccelerationStructureNV() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::AccelerationStructureNV::AccelerationStructureNV | ( |  | ) |

inline

Definition at line 4626 of file vulkan.hpp.

: m_accelerationStructureNV(VK_NULL_HANDLE)
{}

## AccelerationStructureNV() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::AccelerationStructureNV::AccelerationStructureNV | ( | std::nullptr_t |  | ) |

inline

Definition at line 4630 of file vulkan.hpp.

: m_accelerationStructureNV(VK_NULL_HANDLE)
{}

## AccelerationStructureNV() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::AccelerationStructureNV::AccelerationStructureNV | ( | VkAccelerationStructureNV | accelerationStructureNV | ) |

inline

Definition at line 4634 of file vulkan.hpp.

: m_accelerationStructureNV( accelerationStructureNV )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::AccelerationStructureNV::operator bool | ( |  | ) | const

inline explicit

Definition at line 4674 of file vulkan.hpp.

{
return m_accelerationStructureNV != VK_NULL_HANDLE;
}

References m_accelerationStructureNV, and VK_NULL_HANDLE.

## operator VkAccelerationStructureNV()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::AccelerationStructureNV::operator VkAccelerationStructureNV | ( |  | ) | const

inline

Definition at line 4669 of file vulkan.hpp.

{
return m_accelerationStructureNV;
}

References m_accelerationStructureNV.

## operator!()

bool VULKAN_HPP_NAMESPACE::AccelerationStructureNV::operator! | ( |  | ) | const

inline

Definition at line 4679 of file vulkan.hpp.

{
return m_accelerationStructureNV == VK_NULL_HANDLE;
}

References m_accelerationStructureNV, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::AccelerationStructureNV::operator!= | ( | AccelerationStructureNV const & | rhs | ) | const

inline

Definition at line 4657 of file vulkan.hpp.

{
return m_accelerationStructureNV != rhs.m_accelerationStructureNV;
}

References m_accelerationStructureNV.

## operator<()

bool VULKAN_HPP_NAMESPACE::AccelerationStructureNV::operator< | ( | AccelerationStructureNV const & | rhs | ) | const

inline

Definition at line 4662 of file vulkan.hpp.

{
return m_accelerationStructureNV < rhs.m_accelerationStructureNV;
}

References m_accelerationStructureNV.

## operator=()

AccelerationStructureNV& VULKAN_HPP_NAMESPACE::AccelerationStructureNV::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 4646 of file vulkan.hpp.

{
m_accelerationStructureNV = VK_NULL_HANDLE;
return *this;
}

References m_accelerationStructureNV, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::AccelerationStructureNV::operator== | ( | AccelerationStructureNV const & | rhs | ) | const

inline

Definition at line 4652 of file vulkan.hpp.

{
return m_accelerationStructureNV == rhs.m_accelerationStructureNV;
}

References m_accelerationStructureNV.

## Field Documentation

## m_accelerationStructureNV

VkAccelerationStructureNV VULKAN_HPP_NAMESPACE::AccelerationStructureNV::m_accelerationStructureNV

private

Definition at line 4685 of file vulkan.hpp.

Referenced by operator bool(), operator VkAccelerationStructureNV(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::AccelerationStructureNV::m_accelerationStructureNV
VkAccelerationStructureNV m_accelerationStructureNV
Definition: vulkan.hpp:4685
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49